/*                     __                                               *\
**     ________ ___   / /  ___     Scala API                            **
**    / __/ __// _ | / /  / _ |    (c) 2002-2006, LAMP/EPFL             **
**  __\ \/ /__/ __ |/ /__/ __ |                                         **
** /____/\___/_/ |_/____/_/ | |                                         **
**                          |/                                          **
\*                                                                      */

// $Id: BoxedFloatArray.scala 5880 2006-03-02 23:05:17Z mihaylov $


package scala.runtime;


[serializable]
final class BoxedFloatArray(val value: Array[Float]) extends BoxedArray {

  def length: Int = value.length;

  def apply(index: Int): Object = BoxedFloat.box(value(index));

  def update(index: Int, elem: Object): Unit = { 
    value(index) = elem.asInstanceOf[BoxedNumber].floatValue() 
  }

  def unbox(elemTag: String): Object = value;

  override def equals(other: Any) = (
    value == other ||
    other.isInstanceOf[BoxedFloatArray] && value == other.asInstanceOf[BoxedFloatArray].value
  );

  override def hashCode(): Int = value.hashCode();
}

